Subject: [icnrg] FW: New Version Notification for draft-zhang-icn-iot-architecture-00.txt

From: Ravi Ravindran <[email-masked]>
Date: Fri, 28 Aug 2015 21:29:24 +0000

This is the ICN-IoT middleware architecture draft we discussed at Prague.

Regards,
Ravi

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, August 28, 2015 2:09 PM
To: Yanyong Zhang; Dipankar Raychadhuri; Luigi Alfredo Grieco; Ravi Ravindran ; GQ Wang; 
Subject: New Version Notification for draft-zhang-icn-iot-architecture-00.txt

A new version of I-D, draft-zhang-icn-iot-architecture-00.txt
has been successfully submitted by Ravi Ravindran and posted to the IETF repository.

Name:		draft-zhang-icn-iot-architecture
Revision:	00
Title:		ICN based Architecture for IoT
Document date:	2015-08-28
Group:		Individual Submission
Pages:		18
URL:            https://www.ietf.org/internet-drafts/draft-zhang-icn-iot-architecture-00.txt
Status:         https://datatracker.ietf.org/doc/draft-zhang-icn-iot-architecture/
Htmlized:       https://tools.ietf.org/html/draft-zhang-icn-iot-architecture-00

Abstract:
   Internet of Things (IoT) promises to connect billions of objects to
   Internet.  After deploying many stand-alone IoT systems in different
   domains, the current trend is to develop a unified de-fragmented IoT
   platform so that objects can be made accessible to applications
   across organizations and domains.  Towards this goal, quite a few
   proposals have been made to build a unified IoT platform as an
   overlay on top of today's Internet.  Such overlay solutions, however,
   are inadequate to address the important challenges posed by a unified
   IoT system, especially in terms of mobility, scalability, and
   communication reliability, due to the inherent inefficiencies of the
   current Internet.  To address this problem, we propose to build a
   unified IoT platform based on the Information Centric Network (ICN)
   architecture, which we call ICN-IoT [20].  ICN-IoT leverages the
   salient features of ICN, and thus provides seamless device-to-device
   (D2D) communication, mobility support, scalability, and efficient
   content and service delivery leveraging in-network computing, caching
   and storage.

   This draft begins by motivating the need for an unified ICN-IoT
   platform to connect heterogenous IoT systems.  We then propose an
   ICN-IoT system architecture and middleware components which includes
   device/network-service discovery, naming service, IoT service
   discovery, contextual processing, pub/sub management to support
   efficient naming, data discovery, data processing and data
   distribution.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat